"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sourceMapSupport = require("source-map-support"); // tslint:disable-line:ordered-imports
require("./tracker"); // tslint:disable-line:no-import-side-effect
sourceMapSupport.install();
var express = require("express");
var handleListen_1 = require("jscommons/dist/expressPresenter/utils/handleListen");
var config_1 = require("./config");
var logger_1 = require("./logger");
var activities_1 = require("./routers/activities");
var agents_1 = require("./routers/agents");
var state_1 = require("./routers/state");
var statements_1 = require("./routers/statements");
var app = express();
app.use(config_1.default.express.xAPIPrefix + "/xAPI/activities/profile", activities_1.default);
app.use(config_1.default.express.xAPIPrefix + "/xAPI/activities/state", state_1.default);
app.use(config_1.default.express.xAPIPrefix + "/xAPI/agents", agents_1.default);
app.use(config_1.default.express.xAPIPrefix + "/xAPI/about", statements_1.default.aboutRouter);
app.use(config_1.default.express.xAPIPrefix + "/xAPI/activities", statements_1.default.fullActivitiesRouter);
app.use(config_1.default.express.xAPIPrefix + "/xAPI/statements", statements_1.default.statementsRouter);
app.listen(config_1.default.express.port, function () {
    var port80 = 80;
    if (config_1.default.express.port === port80) {
        logger_1.default.warning('Express port set to 80; this will not work on non-root Node processes');
    }
    logger_1.default.info("Listening on port " + config_1.default.express.port);
    handleListen_1.default(logger_1.default);
});
//# sourceMappingURL=server.js.map